/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package domashno;

/**
 *
 * @author User
 */
public class Circle implements Measurable{

    private double radius;

    public Circle(double radius) {
        setRadius(radius);
    }

    public Circle(Circle c) {
        this(c.radius);
    }

    public Circle() {
        this(0.0);
    }

    /**
     * Get the value of radius
     *
     * @return the value of radius
     */
    public double getRadius() {
        return radius;
    }

    /**
     * Set the value of radius
     *
     * @param radius new value of radius
     */
    public void setRadius(double radius) {
        this.radius = (radius>=0)? radius: 0;
    }
    public double area(){
        return Math.PI*radius*radius;
    }

    public String toString(){

        return String.format("Circle with radius: %.2f\n", radius);
    }

    public double computeMeasure() {
        return area();
    }

}
